'  Drag a picture file (gif, jpg, bmp, including animated gifs) into this script or 
'  place the script (or a shortcut to it) in the SendTo folder 
'  Script will present the picture file in a minimal HTA window that lacks 
'  title or scroll bar making it appear more like a picture frame 

on error resume next
Dim w, h, strDimensions, wsh, FSO, strType

Const filePropName = 0 
Const filePropType = 2 

'Keep HTA open for x amount of seconds
intDur = 15  
           
strPictFile = WScript.Arguments(0) 
  
Set FSO = CreateObject("Scripting.FileSystemObject") 

'Add other picture types if you don't care about perfect resize dimensions
If FSO.FileExists(strPictFile) Then 
    Set objShell = CreateObject("Shell.Application") 
    strArgParent = FSO.GetParentFolderName(strPictFile) 
    strArgFileName = FSO.GetFileName(strPictFile) 
    Set objFolder = objShell.Namespace(strArgParent) 
  
    For Each strFileName In objFolder.Items 
        If objFolder.GetDetailsOf(strFileName, filePropName) = strArgFileName Then 
          strType = objFolder.GetDetailsOf(strFileName, filePropType) 
        End If 
    Next 
 
'Add other picture types if you don't care about perfect resize dimensions 
If Left(strType, 4) = "JPEG" OR Left(strType, 3) = "GIF" OR Left(strType, 6) = "Bitmap" Then 
'Continue
Else 
'Exit
WScript.Quit 
End If 
End if

'Return image dimensions
dim myImg, fs
Set fs= CreateObject("Scripting.FileSystemObject")
set myImg = loadpicture(strPictFile)
W = round(myImg.width / 26.4583)
H = round(myImg.height / 26.4583)


'still working on this part for oversized pictures
'possible solution is to resize the picture and hta 
if H > 900 then 
w=w-100
h=h-100
end if

if H > 1000 then 
w=w-200
h=h-200
end if

if H > 1050 then 
w=w-250
h=h-250
end if

if H > 1100 then 
w=w-300
h=h-300
end if

if H > 1150 then 
w=w-350
h=h-350
end if

if H > 1200 then 
w=w-400
h=h-400
end if

if W > 1400 then 
w=w-100
h=h-100
end if

if W > 1500 then 
w=w-200
h=h-50
end if

if W > 1500 then 
w=w-250
h=h-75
end if

if W > 1600 then 
w=w-300
h=h-100
end if

if W > 1650 then 
w=w-350
h=h-150
end if

if W > 1700 then 
w=w-400
h=h-200
end if
 
  
'Create an HTA file with picture file as its background and timed close  
strHTAname = FSO.GetSpecialFolder(2) & "\Temp0.hta" 
Set txtHTA = FSO.CreateTextFile(strHTAname) 
  
With txtHTA 
  .WriteLine "<HTML>" 
  .WriteLine "<TITLE>&nbsp;</TITLE>" 
  .WriteLine "<HTA:Application" 
  .WriteLine "Caption=" & Chr(34) & "yes" & Chr(34) 
  .WriteLine "Sysmenu=" & Chr(34) & "yes" & Chr(34) 
  .WriteLine "Borderstyle="&Chr(34)&"thin"&Chr(34) 
  .WriteLine "SELECTION="&Chr(34)&"no"&Chr(34) 
  
  
  .WriteLine "Scroll=" & Chr(34) & "no" & Chr(34) & ">" 
  .WriteLine "<SCRIPT Language=" & Chr(34) & "VBScript" & Chr(34) & ">" 
  .WriteLine "Function CenterWindow(w, h)"
  .WriteLine "On error resume next "
  .WriteLine "Window.Focus()"
  .WriteLine "x = (screen.width-w)/2"
  .WriteLine "y = (screen.height-h)/2"
  .WriteLine "window.moveTo x, y"
  .WriteLine "End Function"
  .WriteLine "Sub Window_OnLoad" 
  .WriteLine "On error resume next" 
  .WriteLine "window.resizeTo " & w+20 & "," & h+30
  .WriteLine "Return = CenterWindow(" & w & "," & h & ")"
  .WriteLine "idTimer = window.setTimeout(" & Chr(34) & "CloseShop" & Chr(34) & ", " & CStr(intDur * 1000) & ", " & Chr(34) & "VBScript" & Chr(34) & ")" 
  .WriteLine "End Sub" 
  .WriteLine "Sub CloseShop" 
  .WriteLine "window.clearTimeout(idTimer)" 
  .WriteLine "self.close()" 
  .WriteLine "End Sub" 
  .WriteLine "</SCRIPT>" 
  .WriteLine "<BODY background=" & Chr(34) & strPictFile & Chr(34) & ">" 
  .WriteLine "</BODY>" 
  .WriteLine "</HTML>" 
  .Close 
End With 
  
 
'  Launch the HTA file 
Set wsh = CreateObject("WScript.Shell") 
wsh.Run "mshta.exe " & Chr(34) & strHTAname & Chr(34) 
  
'  Delete the temp HTA file 
WScript.Sleep 6000 
FSO.DeleteFile strHTAname 
